RoutesSkillsSkillidFilesPath

/skills/{skillId}/files/{path}

Read a skill file as text, or as base64 for bytes that are not valid UTF-8

GET
/skills/{skillId}/files/{path}
AuthorizationBearer <token>

In: header

Path Parameters

skillId*string
path*string

Path of the file in the skill folder, e.g. "references/guide.md"

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.s.gatana.ai/api/v1/skills/string/files/string"
{
  "file": {
    "path": "string",
    "sizeBytes": 0,
    "digest": "string",
    "mimeType": "string",
    "encoding": "utf8",
    "content": "string"
  }
}